< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package http
  Definition Classes
    play
-  package ws
  Definition Classes
    http
- WSDelete
- WSGet
- WSHttp
- WSHttpResponse
- WSPatch
- WSPost
- WSProxy
- WSProxyConfiguration
- WSPut
- WSRequest

t

uk.gov.hmrc.play.http.ws

# WSDelete 

###

#### trait WSDelete extends CoreDelete with DeleteHttpTransport with WSRequest

Linear Supertypes
WSRequest, Request, DeleteHttpTransport, CoreDelete, AnyRef, Any
Known Subclasses
WSHttp
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSDelete
2. WSRequest
3. Request
4. DeleteHttpTransport
5. CoreDelete
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def DELETE[O](url: String)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CoreDelete
2.  abstract def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]
   Definition Classes
     Request
3.  abstract def wsClient: WSClient
   Definition Classes
     WSRequest

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def buildRequest[A](url: String)(implicit hc: HeaderCarrier): play.api.libs.ws.WSRequest
   Definition Classes
     WSRequest
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  def doDelete(url: String)(implicit hc: HeaderCarrier): Future[HttpResponse]
   Definition Classes
     WSDelete → DeleteHttpTransport
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from WSRequest

### Inherited from Request

### Inherited from DeleteHttpTransport

### Inherited from CoreDelete

### Inherited from AnyRef

### Inherited from Any

### Ungrouped